import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/join/index',
    method: 'get',
    params: query
  })
}

export function fetchJoin(id) {
  return request({
    url: '/join/read',
    method: 'get',
    params: { id }
  })
}

export function createBanner(data) {
  return request({
    url: '/Carousel/save',
    method: 'post',
    data
  })
}

export function updateJoin(data) {
  return request({
    url: '/Join/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteJoin(id) {
  return request({
    url: '/Join/delete?id=' + id,
    method: 'get'
  })
}
